### Method

# Gegl Node to_xml

#### Declaration [src]

    gchar*
    gegl_node_to_xml (
      GeglNode* node,
      const gchar* path_root
    )

#### Description [src]

Returns a freshly allocated \0 terminated string containing a XML serialization of the composition produced by a node (and thus also the nodes contributing data to the specified node). To export a gegl graph, connect the internal output node to an output proxy (see

# gegl_node_get_output_proxy.) and use the proxy node as the basis

for the serialization.

#### Parameters

`path_root`

  Type: `const gchar*`

  Filesystem path to construct relative paths from.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

No description available.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.